summaryrefslogtreecommitdiff
path: root/files/scripts
diff options
context:
space:
mode:
authorJerome Charaoui <jcharaoui@cmaisonneuve.qc.ca>2009-12-23 16:40:33 -0500
committerJerome Charaoui <jcharaoui@cmaisonneuve.qc.ca>2009-12-23 16:40:33 -0500
commitc4649cd122eb73c9dfb5498436abb636174d1180 (patch)
tree8fc6e5c841be5d51bdd3635d4ced74817c96789c /files/scripts
parentd2c4bdf792815f0a0f54d717bdec619f03d984ab (diff)
organize files in subdirectories per type : 'config' for main apache config; 'scripts' for extra shell scripts; 'service' for service default parameters. also, manage apache2.conf on Debian.
Diffstat (limited to 'files/scripts')
-rw-r--r--files/scripts/OpenBSD/bin/apache_logrotate.sh7
-rw-r--r--files/scripts/OpenBSD/bin/restart_apache.sh6
-rw-r--r--files/scripts/OpenBSD/bin/restart_apache_ssl.sh6
3 files changed, 19 insertions, 0 deletions
diff --git a/files/scripts/OpenBSD/bin/apache_logrotate.sh b/files/scripts/OpenBSD/bin/apache_logrotate.sh
new file mode 100644
index 0000000..c2fcad9
--- /dev/null
+++ b/files/scripts/OpenBSD/bin/apache_logrotate.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+WEBROOT="/var/www/htdocs"
+#PIDFILE="/var/www/logs/httpd.pid"
+echo "#Autogenrated newsyslog.conf\n# logfile_name owner:group mode count size when flags"
+find /var/www/logs -name '*_log' -exec perl -e 'print "\n{}\twww:www\t644\t30\t*\t\$D0\tZ" ' \;
+find $WEBROOT -name '*_log' -exec perl -e 'print "\n{}\twww:www\t644\t30\t*\t\$D0\tZ" ' \;
+perl -e 'print "\t\t \"/bin/sh /opt/bin/restart_apache.sh\"";'
diff --git a/files/scripts/OpenBSD/bin/restart_apache.sh b/files/scripts/OpenBSD/bin/restart_apache.sh
new file mode 100644
index 0000000..4dc936d
--- /dev/null
+++ b/files/scripts/OpenBSD/bin/restart_apache.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+ignoreout='Processing config'
+apachectl restart 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl restart: httpd restarted" || true )
+sleep 10
+apachectl start 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl startssl: httpd started" || true )
diff --git a/files/scripts/OpenBSD/bin/restart_apache_ssl.sh b/files/scripts/OpenBSD/bin/restart_apache_ssl.sh
new file mode 100644
index 0000000..314018b
--- /dev/null
+++ b/files/scripts/OpenBSD/bin/restart_apache_ssl.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+ignoreout='Processing config'
+apachectl restart 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl restart: httpd restarted" || true )
+sleep 10
+apachectl startssl 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl startssl: httpd started" || true )